Merge pull request #37 from softprops/support-older-versions-of-rust

Support older versions of rust